SqlUtil::AbstractTrigger Class Referenceabstract

the base class for triggers More...

Inheritance diagram for SqlUtil::AbstractTrigger:
[legend]

## Public Member Functions

| constructor (string n, string n_src)
| creates the object and sets its name and the trigger source
abstract list | getCreateSql (string table_name, *hash opt)
| returns a string that can be used to create the trigger in the database
abstract list | getDropSql (string table_name)
| returns a string that can be used to drop the trigger in the database
abstract softlist | getRenameSql (string table_name, string new_name)
| returns a string that can be used to rename the trigger in the database
Public Member Functions inherited from SqlUtil::AbstractFunctionBase
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
bool | equal (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
string | getDropSql (*hash opt)
| returns a string that can be used to drop the function from the database More...
string | getType ()
| returns the type of object

## Additional Inherited Members

Public Attributes inherited from SqlUtil::AbstractFunctionBase
string | name
| the name of the object
string | src
| the source of the object
string | type
| the type of object

## Detailed Description

the base class for triggers